# Yac::delete

(PECL yac >= 1.0.0)

Yac::delete — Supprime un ou plusieurs éléments du cache

### Description

public Yac::delete(string|array `$keys`, int `$ttl` = ?): bool

Supprime un ou plusieurs éléments du cache.

### Liste de paramètres

`keys`

  La clé ou un tableau de plusieurs clés à supprimer

`ttl`

  Si le délai est défini, l'opération de suppression va marquer les éléments pour qu'ils soient invalides au bout de ttl secondes.

### Valeurs de retour